﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Silanis.ESL.SDK;
using Silanis.ESL.SDK.Builder;
using System.Diagnostics;
using Newtonsoft.Json.Linq;
using System.IO;
using System.Net.Http;
using System.Net.Http.Headers;
using Microsoft.CSharp;

namespace esl
{
    class SessionFields
    {
        public static void main()
        {
            string jsonString = "{\"packageId\": \"x31anVFrwliCsGQXLJoqv0GRZ1w=\",\"sessionFields\": {\"Transaction ID\": \"1234567890\",\"Login Token\": \"8888888888888\"},\"signerId\": \"signer1\"}";
            StringContent jsonContent = new StringContent(jsonString, Encoding.UTF8, "application/json");

            HttpClient myClient = new HttpClient();
            myClient.DefaultRequestHeaders.Authorization = new AuthenticationHeaderValue("Basic", Properties.Settings.Default.key);
            myClient.DefaultRequestHeaders.Add("Accept", "application/json");

            var response = myClient.PostAsync(new Uri("https://sandbox.esignlive.com/api/signerAuthenticationTokens"), jsonContent).Result;
            JObject json = JObject.Parse(response.Content.ReadAsStringAsync().Result);

            Debug.WriteLine("https://sandbox.esignlive.com/access?sessionToken=" + json["value"]);
        }
    }
}
